Рекомендация Debian по безопасности

DSA-4133-1 isc-dhcp -- обновление безопасности

Дата сообщения:
07.03.2018
Затронутые пакеты:
isc-dhcp
Уязвим:
Да
Ссылки на базы данных по безопасности:
В системе отслеживания ошибок Debian: Ошибка 887413, Ошибка 891785, Ошибка 891786.
В каталоге Mitre CVE: CVE-2017-3144, CVE-2018-5732, CVE-2018-5733.
Более подробная информация:

В ISC, DHCP-клиенте, узле и сервере, было обнаружено несколько уязвимостей. Проект Common Vulnerabilities and Exposures определяет следующие проблемы:

  • CVE-2017-3144

    Было обнаружено, что DHCP-сервер неправильно выполняет очистку закрытых OMAPI-соединений, что может приводить к исчерпанию пула дескрипторов сокетов, доступных DHCP-серверу, что приводит к отказу в обслуживании.

  • CVE-2018-5732

    Феликс Вильгельм из Google Security Team обнаружил, что DHCP-клиент содержит ошибку, приводящую к обращению за пределы выделенного буфера памяти при обработке специально сформированных DHCP-ответов, что приводит к тому, что DHCP-сервер злоумышленника может потенциально выполнить произвольный код.

  • CVE-2018-5733

    Феликс Вильгельм из Google Security Team обнаружил, что DHCP-сервер неправильно обрабатывает подсчёт ссылок при обработке клиентских запросов. DHCP-клиент злоумышленника может использовать эту уязвимость для вызова отказа в обслуживании (аварийная остановка dhcpd) путём отправки большого количества трафика.

В предыдущем стабильном выпуске (jessie) эти проблемы были исправлены в версии 4.3.1-6+deb8u3.

В стабильном выпуске (stretch) эти проблемы были исправлены в версии 4.3.5-3+deb9u1.

Рекомендуется обновить пакеты isc-dhcp.

С подробным статусом поддержки безопасности isc-dhcp можно ознакомиться на соответствующей странице отслеживания безопасности по адресу https://security-tracker.debian.org/tracker/isc-dhcp